Interface EhcacheEndpointBuilderFactory.EhcacheBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- EhcacheEndpointBuilderFactory
public static interface EhcacheEndpointBuilderFactory.EhcacheBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default EhcacheEndpointBuilderFactory.EhcacheEndpointBuilderehcache(String path)Ehcache (camel-ehcache) Perform caching operations using Ehcache.default EhcacheEndpointBuilderFactory.EhcacheEndpointBuilderehcache(String componentName, String path)Ehcache (camel-ehcache) Perform caching operations using Ehcache.
-
-
-
Method Detail
-
ehcache
default EhcacheEndpointBuilderFactory.EhcacheEndpointBuilder ehcache(String path)
Ehcache (camel-ehcache) Perform caching operations using Ehcache. Category: cache,datagrid,clustering Since: 2.18 Maven coordinates: org.apache.camel:camel-ehcache Syntax:ehcache:cacheNamePath parameter: cacheName (required) the cache name- Parameters:
path- cacheName- Returns:
- the dsl builder
-
ehcache
default EhcacheEndpointBuilderFactory.EhcacheEndpointBuilder ehcache(String componentName, String path)
Ehcache (camel-ehcache) Perform caching operations using Ehcache. Category: cache,datagrid,clustering Since: 2.18 Maven coordinates: org.apache.camel:camel-ehcache Syntax:ehcache:cacheNamePath parameter: cacheName (required) the cache name- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- cacheName- Returns:
- the dsl builder
-
-